Subject: Re: win-test: unknown terminal "xterm-256color", was Re: [RFC PATCH 6/6] ls-tree: introduce '--pattern' option

From: Junio C Hamano <[email-masked]>
Date: Mon, 27 Mar 2023 13:42:11 -0700

Johannes Schindelin <[email-masked]> writes:

> The TERM is hard-coded in the MSYS2 runtime:
> https://github.com/git-for-windows/msys2-runtime/commit/bd627864ab4189984cdb0892c00f91e39c4e8243
>
> Note: The MSYS2 runtime merely wants to ensure that `TERM` is set; If it
> already has a value, that value remains unchanged.
>
> And to save on bandwidth/time (in a desperate attempt to counter the
> ever-growing runtimes of Git's CI builds), I liberally exclude files from
> the "minimal subset of Git for Windows' SDK", e.g. `/usr/lib/terminfo/`
> and `/usr/share/terminfo/`. That's why `tput` cannot figure out what to do
> with this `TERM` value.

Ah, so it is not like "you ship vt100 but not xterm-color yet the
runtime insists you are by default on xterm-color", so "set it to
something your terminfo database understands" would not work.  I am
not sure what unintended fallouts there would be from setting it to
dumb, though.  Our tests are designed for unattended testing, and
they are even capable of running without control terminal, so it
should be OK to force TERM=dumb, I guess.

> If these `tput` errors become too much of a sore in your eye, I see two
> ways forward:

Not at all.  As long as it is clear that they are to be expected and
to be ignored when fishing for real breakages, it is fine by me.
Others may care more than I do, but then they are welcome to send
fixes your way ;-)

Thanks.